import { Module } from '@nestjs/common';
import { PrismaService } from './src/adapters/secondaries/prisma-service';
import { AdRepository } from './src/domain/ad-repository';

@Module({
  providers: [PrismaService, AdRepository],
  exports: [PrismaService, AdRepository],
})
export class DatabaseModule {}
